---
lang: en
title: 'API docs: cron.croncomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.croncomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md) &gt; [CronComponent](./cron.croncomponent.md) &gt; [(constructor)](./cron.croncomponent._constructor_.md)

## CronComponent.(constructor)

Constructs a new instance of the `CronComponent` class

**Signature:**

```typescript
constructor(getJobs: Getter<CronJob[]>);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  getJobs | Getter&lt;[CronJob](./cron.cronjob.md)<!-- -->\[\]&gt; |  |


